Package org.drinkless.tdlib

# Class TdApi.InternalLinkTypeStoryAlbum

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InternalLinkType
org.drinkless.tdlib.TdApi.InternalLinkTypeStoryAlbum

Enclosing class:
  `TdApi`

public static class TdApi.InternalLinkTypeStoryAlbum extends TdApi.InternalLinkType
The link is a link to an album of stories. Call searchPublicChat with the given username, then call getStoryAlbumStories with the received chat identifier and the given story album identifier, then show the story album if received.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InternalLinkType

  `TdApi.InternalLinkType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `storyAlbumId`
  Story album identifier.
  `String`
  `storyAlbumOwnerUsername`
  Username of the owner of the story album.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalLinkTypeStoryAlbum()`
  The link is a link to an album of stories.
  `InternalLinkTypeStoryAlbum(String storyAlbumOwnerUsername, int storyAlbumId)`
  The link is a link to an album of stories.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### storyAlbumOwnerUsername

    public String storyAlbumOwnerUsername
    Username of the owner of the story album.

  - ### storyAlbumId

    public int storyAlbumId
    Story album identifier.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InternalLinkTypeStoryAlbum

    public InternalLinkTypeStoryAlbum()
    The link is a link to an album of stories. Call searchPublicChat with the given username, then call getStoryAlbumStories with the received chat identifier and the given story album identifier, then show the story album if received.

  - ### InternalLinkTypeStoryAlbum

    public InternalLinkTypeStoryAlbum(String storyAlbumOwnerUsername, int storyAlbumId)
    The link is a link to an album of stories. Call searchPublicChat with the given username, then call getStoryAlbumStories with the received chat identifier and the given story album identifier, then show the story album if received.
    Parameters:
      `storyAlbumOwnerUsername` - Username of the owner of the story album.
      `storyAlbumId` - Story album identifier.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InternalLinkType`
    Returns:
      this.CONSTRUCTOR